Subject: Re: IPv4 link-local address generation?

From: Erik Guttman <[email-masked]>
Date: Thu, 14 Jun 2001 11:05:48 +0200 (MET DST)

Min,
 
> Does anybody know something about a link-local address available all the
> time,  independent of the address allocated by DHCP?
> I read a draft related to Dynamic Configuration of IPv4 Link-local
> addresses(draft-ietf-zeroconf-ipv4-linklocal-02.txt).

That is the specification of this protocol over IPv4.  You should also
read RFC 2462 which describes link-local autoconfiguration for IPv6.
(You need to read RFC 2461 and 2373 too, to make sense of 2462).

> This document describes that a ipv4 link-local addresses is used all the
> time, independent of the address allocated by DHCP?

That is the recommended behavior in draft-ietf-zeroconf-ipv4-linklocal-02.txt.

> and if a host using ipv4 link-local address searchs a DHCP and allocates a
> globally unique ipv4 address, does the host still use a link-local address?

This is the desirable behavior.  Then local communication will continue
uninterrupted whether a DHCP server appears on the network or not.

Erik